> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sandbox details

> Retrieve detailed information about a specific sandbox instance.



## OpenAPI

````yaml get /sandbox/{server_name}/{sandbox_id}
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /sandbox/{server_name}/{sandbox_id}:
    get:
      tags:
        - sandbox
      summary: Get sandbox details
      description: Retrieve detailed information about a specific sandbox instance.
      operationId: get_sandbox_sandbox__server_name___sandbox_id__get
      parameters:
        - name: server_name
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/SandboxMCPServer'
            description: The MCP server name
          description: The MCP server name
        - name: sandbox_id
          in: path
          required: true
          schema:
            type: string
            description: The unique sandbox identifier
            title: Sandbox Id
          description: The unique sandbox identifier
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SandboxInfo'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SandboxMCPServer:
      type: string
      enum:
        - jira
        - github
        - salesforce
        - hubspot
        - notion
        - airtable
        - linear
        - asana
        - google_sheets
        - google_drive
        - google_docs
        - gmail
        - google_calendar
        - google_forms
        - clickup
        - close
        - monday
        - motion
        - onedrive
        - microsoft_teams
        - outlook_mail
        - cal.com
        - quickbooks
        - moneybird
        - dropbox
        - shopify
        - woocommerce
        - outlook_calendar
        - resend
        - wordpress
        - mem0
        - supabase
        - slack
        - confluence
        - discord
        - snowflake
        - postgres
        - mongodb
        - youtube
        - googleworkspaceatlas
        - huggingface
        - mock_notion
        - arxiv_latex
        - calculator
        - clinicaltrialsgov
        - fetch
        - met_museum
        - open_library
        - osm
        - pubmed
        - us_weather
        - duckduckgo
        - whois
        - wikipedia
        - scholarly
        - howtocook
        - yahoo_finance
        - '12306'
        - youtube_transcript
        - weather
        - twelvedata
        - national_parks
        - lara_translate
        - e2b
        - context7
        - alchemy
        - weights_and_biases
        - oxylabs
        - google_maps
        - brave_search
        - exa
        - serper
      title: SandboxMCPServer
      description: Supported MCP servers for sandboxing
    SandboxInfo:
      properties:
        sandbox_id:
          type: string
          title: Sandbox Id
          description: Unique identifier for the sandbox
        server_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Server Url
          description: URL to connect to the MCP server
        server_name:
          $ref: '#/components/schemas/SandboxMCPServer'
          description: The MCP server type
        status:
          $ref: '#/components/schemas/SandboxStatus'
          description: Current status of the sandbox
        benchmark:
          anyOf:
            - type: string
            - type: 'null'
          title: Benchmark
          description: Benchmark for the sandbox initial environment
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Last update timestamp
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
          description: Additional metadata for the sandbox
        auth_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Auth Data
          description: >-
            Sandbox OAuth/API credentials (e.g. access tokens, API keys) used to
            authenticate with external services
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
          description: Sandbox tags
      type: object
      required:
        - sandbox_id
        - server_name
        - status
      title: SandboxInfo
      description: Detailed information about a sandbox
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SandboxStatus:
      type: string
      enum:
        - idle
        - occupied
        - error
      title: SandboxStatus
      description: Status of a sandbox instance - matches database enum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````